Page MenuHomePhabricator

Make the colors used the line charts in Wikistats 2 more easy to recognize.
Closed, ResolvedPublic5 Story Points

Description

See example [1]

Two issues with the line charts coloring: the colors are quite dark, that works well in the legend but less so with the lines themselves. The purple line comes close to black. Even more so because the line is actually a dark purple area with a black border. That may help to let a yellow line stand out against the white background. But for darker colors it brings those even closer to black.

If I may quip on this: it's a case of obfuscation by beautification. ;-) Just like 3D pie charts interfere with the actual message.

[1] https://stats.wikimedia.org/v2/#/es.wikipedia.org/contributing/edits

Details

Related Gerrit Patches:
analytics/wikistats2 : masterChanged color shades for sections & charts

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 18 2017, 8:49 PM
Erik_Zachte added a subscriber: Nuria.
Restricted Application added a project: Analytics. · View Herald TranscriptDec 18 2017, 9:06 PM

Yeah, we have to rethink this. Do you think even thicker lines would be a good idea? Or maybe just when a color is lighter than #999999 we can add a thin black outline.

My preference would be the second option: Just when a color is lighter than #999999 add a thin black outline.
But using lighter colors all over would help as well.

Milimetric removed Milimetric as the assignee of this task.Dec 21 2017, 4:26 PM
Milimetric moved this task from Incoming to Wikistats Production on the Analytics board.
Milimetric added a subscriber: Milimetric.
mforns added a subscriber: mforns.Mar 8 2018, 12:40 PM

A related thing: Maybe we could have single-line charts could have the area below the line colored?
It's totally a subjective personal preference, but I think it makes the chart easier to grasp.
For breakdowns, this wouldn't work though.

mforns moved this task from Backlog (Later) to Mentoring on the Analytics board.Mar 8 2018, 6:06 PM
mforns added a comment.Jul 5 2018, 2:28 PM

We could include here also changing the colors of the bar charts, because some of the colors currently used are too strong.

mforns added a comment.Jul 6 2018, 2:11 PM
  • keep 3 colors designed for sections: reading, contributing, content (we can use different shades if it looks better)
  • remove black border from line charts
  • maybe thicken the lines
sahil505 claimed this task.Jul 7 2018, 9:42 AM
sahil505 triaged this task as Normal priority.
sahil505 added a project: Analytics-Kanban.
sahil505 set the point value for this task to 5.

Change 445574 had a related patch set uploaded (by Sahil505; owner: Sahil505):
[analytics/wikistats2@master] Changed color shades for sections & charts

https://gerrit.wikimedia.org/r/445574

Change 445574 merged by Nuria:
[analytics/wikistats2@master] Changed color shades for sections & charts

https://gerrit.wikimedia.org/r/445574

Nuria moved this task from Ready to Deploy to Done on the Analytics-Kanban board.Jul 17 2018, 4:54 PM

I like the new colors, nice job @sahil505

I see 4 colors (red, yellow, blue and green) which each contrast well with the background and none is grabbing more attention than the others. I like it too. Well done, @sahil505

Thanks a lot @Milimetric & @ezachte. I appreciate it :]

Nuria closed this task as Resolved.Aug 22 2018, 10:45 PM